/**
 * NewHeight.com Inc.
 * Copyright (c) 2008-2010 All Rights Reserved.
 */
package com.yeejoin.amos.patrol.core.common.response;

import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * <pre>
 * 分页数据
 * </pre>
 *
 * @author as-youjun
 * @version $Id: CompanyPage.java, v 0.1 2017年4月13日 上午11:35:25 as-youjun Exp $
 */
public final class CommonPage<T> extends PageImpl<T> {

	/**
	 * <pre>
	 * uid
	 * </pre>
	 */
	private static final long serialVersionUID = -5533124806408380886L;

	/**
	 * 
	 */
	private String message;
	
	/**
	 * 返回结果状态
	 */
	private String result;

	public CommonPage(List<T> content, Pageable pageable, long total) {
		super(content, pageable, total);
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getResult()
	{
		return result;
	}

	public void setResult(String result)
	{
		this.result = result;
	}
}
